# Power source plugged

A decision block that checks if the device is plugged to an external power source.

If the proceed option is set to Immediately, then check if the device is currently plugged in without pausing the fiber. If set to When changed, then the fiber will pause until a power source has been plugged in, or got unplugged.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Power source — power sources to check, default is any.

## Output variables

- Current power source — variable to assign the current power source.